List surveys
GET/v2/surveys
Returns all surveys configured in your Featurebase organization.
Query Parameters
limit- Number of items to return (1-100, default 10)cursor- Cursor for paginationtype- Filter by survey page type (text, link, rating, multiple-choice)isActive- Filter by active status
Response Format
Returns a list object with:
object- Always “list”data- Array of survey objectsnextCursor- Cursor for next page (null if no more results)
Survey Object
Each survey includes:
id- Unique identifiertitle- Survey titledescription- Survey descriptionisActive- Whether the survey is activeresponseCount- Number of responses receivedtargeting- Targeting configuration (segments, URLs, CSS selectors)pages- Array of survey pages/questionscreatedAt- ISO 8601 timestamp when createdupdatedAt- ISO 8601 timestamp when last updated
Query Parameters
List surveys
curl https://do.featurebase.app/v2/surveys \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"data": [
{
"id": "6743752ca81ae59d25cf834b",
"createdAt": "2024-11-24T18:49:16.755Z",
"isActive": true,
"object": "survey",
"organization": "5febde12dc56d60012d47db6",
"pages": [
{
"id": "6743752ca81ae59d25cf834c",
"title": "How happy are you with our product?",
"type": "rating",
"allowSelectMultiple": false,
"choices": [
{
"id": "66dc54128b989696d050008b",
"choice": "Very satisfied"
}
],
"defaultAction": {
"type": "page",
"pageId": "6743754dd8bf964ec2562cda"
},
"description": "We really want to hear from you.",
"highLabel": "It's awesome!",
"linkButtonText": "Visit our website",
"linkRedirectUrl": "https://example.com",
"linkTarget": "_blank",
"logic": [
{
"comparator": "less than",
"next": {
"type": "page",
"pageId": "6743754dd8bf964ec2562cda"
},
"value": 4,
"id": "6743755fd8bf964ec2562cdb"
}
],
"lowLabel": "Could be improved",
"placeholder": "Type your answer here",
"scale": 5,
"subType": "emoji"
}
],
"responseCount": 85,
"title": "Get feedback for Feedback module",
"updatedAt": "2025-04-10T08:58:51.148Z",
"description": "Measure what we can improve",
"targeting": {
"css": [
{
"value": ".feedback-button"
}
],
"loginRequired": false,
"segmentIds": [
"6636438b7fcdc515999042eb"
],
"url": [
{
"matchType": "contains",
"value": "/dashboard/posts",
"id": "674375cfd8bf964ec2562cdc"
}
]
}
}
],
"nextCursor": null,
"object": "list"
}Returns Examples
{
"data": [
{
"id": "6743752ca81ae59d25cf834b",
"createdAt": "2024-11-24T18:49:16.755Z",
"isActive": true,
"object": "survey",
"organization": "5febde12dc56d60012d47db6",
"pages": [
{
"id": "6743752ca81ae59d25cf834c",
"title": "How happy are you with our product?",
"type": "rating",
"allowSelectMultiple": false,
"choices": [
{
"id": "66dc54128b989696d050008b",
"choice": "Very satisfied"
}
],
"defaultAction": {
"type": "page",
"pageId": "6743754dd8bf964ec2562cda"
},
"description": "We really want to hear from you.",
"highLabel": "It's awesome!",
"linkButtonText": "Visit our website",
"linkRedirectUrl": "https://example.com",
"linkTarget": "_blank",
"logic": [
{
"comparator": "less than",
"next": {
"type": "page",
"pageId": "6743754dd8bf964ec2562cda"
},
"value": 4,
"id": "6743755fd8bf964ec2562cdb"
}
],
"lowLabel": "Could be improved",
"placeholder": "Type your answer here",
"scale": 5,
"subType": "emoji"
}
],
"responseCount": 85,
"title": "Get feedback for Feedback module",
"updatedAt": "2025-04-10T08:58:51.148Z",
"description": "Measure what we can improve",
"targeting": {
"css": [
{
"value": ".feedback-button"
}
],
"loginRequired": false,
"segmentIds": [
"6636438b7fcdc515999042eb"
],
"url": [
{
"matchType": "contains",
"value": "/dashboard/posts",
"id": "674375cfd8bf964ec2562cdc"
}
]
}
}
],
"nextCursor": null,
"object": "list"
}